package com.feedback.demo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FeedBackDTO {

    private Long id;

    @NotBlank(message = "FullName required")
    private String fullName;

    @NotBlank(message = "AppName required")
    private String appName;

    private String url;

    @Email(message = "Invalid email format")
    @NotBlank(message = "Email required")
    private String email;

    private String phone;

    private String type;

    private String content;

    private String imageUrl;

    private Date createDate;

    private Date updateDate;
}
