package com.feedback.demo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FeedBackSettingsRequest {
    private Long id;

    @NotNull
    private Integer position;

    private String iconURL;

    @NotBlank
    private String feedbackTitle;

    @NotBlank
    private String titleFullName;

    @NotBlank
    private String titleEmail;

    @NotBlank
    private String titlePhoneNumber;

    @NotBlank
    private String titleOptions;

    @NotBlank
    private String titleDescription;

    @NotNull
    @Size(min = 5,max = 5)
    private List<FeedBackOptionsDTO> optionSettings = new ArrayList<>();
}
