package com.feedback.demo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UserDTO {
    private Long id;

    @NotNull(message = "Username required")
    private String username;

    @NotNull(message = "Password required")
    private String password;

    @NotBlank(message = "Email required")
    @Email(message = "Invalid email format")
    private String email;

    private String phone;

    private String domain;

    private String description;

    @NotBlank(message = "AppKey required")
    private String appKey;

    @NotBlank(message = "AppSecret required")
    private String appSecret;

    private Date createDate;

    private Date updateDate;

    private List<FeedBackDTO> feedBacks = new ArrayList<>();

    private FeedBackOptionsDTO feedBackOptions;

    private FeedBackSettingsDTO feedBackSettings;
}
