package com.feedback.demo.dto.login;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;


@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class LoginRequest {
    @Size(min = 3, max = 32, message = "Choose a username 2–32 characters long. " +
            "Your username can be any combination of letters, numbers")
    @NotBlank(message = "Username not Empty !")
    private String username;

    @Size(min = 6, max = 32, message = "Choose a password 6–32 characters long." +
            "Your password can be any combination of letters, numbers")
    @NotBlank(message = "Password not Empty !")
    private String password;
}
